Subject: Offline Message from Abdullah : Greetings, I am trying to buy De'Longhi - M
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Sun, 07 Jun 2020 14:31:13 -0000

From: Abdullah  <[email-masked]>
Phone: 
Location: Dhahran, Saudi Arabia
URL: https://saudi.mumzworld.com/sa-en/contact-us
Department: 

Greetings, 

I am trying to buy De'Longhi - Multigrill CGH1012D.

I am wounding, if the device fits for Saudi Arabia electric standard. Also, can you provide the hz, is it 50 hz or 60 hz. Please advise. 

Also, do you ship to Saudi Arabia ? 

Regards 

Abdullah 

Mobile: +966564883853

----
Zopim
https://www.zopim.com